@import "src/styles/scss/partials/mixins";

.root {
    padding: 0 !important;
    overflow: hidden;
    border: 1px solid var(--gray-300) !important;

    &__date {
        width: 100%;
        padding: 0 var(--spacing-large);
        margin: var(--spacing-large) 0 0;
        height: var(--line-height-overline);
    }

    &__image {
        width: 100%;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        aspect-ratio: 2/1.2;
        min-height: 170px;
        border-bottom: 1px solid var(--gray-200);
        @include skeleton-loader(30px, 100%, 2s);

        img {
            min-height: 100%;
            min-width: 100%;
            max-width: 100%;
            max-height: 100%;
        }
    }

    &__source {
        text-transform: uppercase;
        margin: 0;
        width: 100%;
    }

    &__title {
        height: 100%;
        width: 100%;
        display: -webkit-box;
        white-space: normal;
        overflow: hidden;
        max-height: calc(var(--line-height-subtitle1) * 2);
        text-overflow: ellipsis;
        position: relative;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        padding: 0 var(--spacing-large);
        margin: var(--spacing-large) 0;

        &__skeleton {
            border-radius: var(--border-radius-small);
            @include skeleton-loader(12px, 80px, 2s);
        }
    }

}